/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { CreateTemporaryAccessTokenRequest, CreateTemporaryAccessTokenResponse } from "./token_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.v1.TokenService
 */
export declare const TokenService: {
    readonly typeName: "gitpod.v1.TokenService";
    readonly methods: {
        /**
         * CreateUserToken creates a new temporary access token for the specified user.
         * +admin – only to be used by installation admins
         *
         * @generated from rpc gitpod.v1.TokenService.CreateTemporaryAccessToken
         */
        readonly createTemporaryAccessToken: {
            readonly name: "CreateTemporaryAccessToken";
            readonly I: typeof CreateTemporaryAccessTokenRequest;
            readonly O: typeof CreateTemporaryAccessTokenResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=token_connect.d.ts.map